
ChiliProject - Task # 111: Project objective: increase development speed

Status: Closed Priority: Normal
Author: Niels Lindenthal Category:
Created: 2011-01-26 Assignee:
Updated: 2011-09-04 Due date:
Remote issue URL:
Description: I consider improvements in the development speed a fundamental goal of this project. Is there anybody who 

thinks that this shouldn't be our goal?

Associated revisions
2011-11-13 09:11 pm - Felix SchÃ¤fer 
Merge pull request #111 from edavis10/ticket/unstable/672-query-subprojects

#672 Allow queries to include subproject issues

History
2011-01-26 08:57 pm - Eric Davis
- Project changed from Organization to ChiliProject

This should be in the main project since objectives and goals are what we are publicly attempting to meet.

2011-01-26 08:57 pm - Eric Davis
- Target version deleted (Public Launch)

2011-01-26 09:39 pm - Niels Lindenthal
On IRC I heard some concerns about how to measure development speed. We all agree that this difficult but is this a reason why we should not strive 
for improvements? Even if can not measure exactly if we achieved this objective I don't think missing metrics should stop us to continuously think about 
improvements in any of our objectives.
 

2011-02-01 10:49 pm - Felix Schäfer
- Status set to Open

2011-09-04 09:38 pm - Holger Just
- Status changed from Open to Closed

I think we are actually really good at fulfilling this goal. But I agree that development speed is actually really hard to measure. If there are any _actual_ 
issues with development speed in the future, we should discuss it. But as I said, I think we are rather good here.
